package nc.vo.fa.byzLogVO;

import nc.vo.pub.SuperVO;

public class ByzLogRcordVO extends SuperVO {
	private static final long serialVersionUID = 1L;
	
	private String pk_log;//日志主键
	private String pk_bill;//单据主键
	private String vbillcode;// 单据号
	private String itf_type;// 接口类型
	private String ncctobyzparam;// nnc发送报文
	private String byztonccresult;// 碧优资返回的报文
	private String byztonccparam; // 碧优资发送的报文
	private String ncctobyzresult;//nnc返回的报文
	private String itfaddress;// 接口地址
	private String itfclass;// 接口类
	
	
	public String getPk_log() {
		return pk_log;
	}
	public void setPk_log(String pk_log) {
		this.pk_log = pk_log;
	}
	public String getPk_bill() {
		return pk_bill;
	}
	public void setPk_bill(String pk_bill) {
		this.pk_bill = pk_bill;
	}
	public String getVbillcode() {
		return vbillcode;
	}
	public void setVbillcode(String vbillcode) {
		this.vbillcode = vbillcode;
	}
	public String getItf_type() {
		return itf_type;
	}
	public void setItf_type(String itf_type) {
		this.itf_type = itf_type;
	}
	public String getNcctobyzparam() {
		return ncctobyzparam;
	}
	public void setNcctobyzparam(String ncctobyzparam) {
		this.ncctobyzparam = ncctobyzparam;
	}
	public String getByztonccresult() {
		return byztonccresult;
	}
	public void setByztonccresult(String byztonccresult) {
		this.byztonccresult = byztonccresult;
	}
	public String getByztonccparam() {
		return byztonccparam;
	}
	public void setByztonccparam(String byztonccparam) {
		this.byztonccparam = byztonccparam;
	}
	public String getNcctobyzresult() {
		return ncctobyzresult;
	}
	public void setNcctobyzresult(String ncctobyzresult) {
		this.ncctobyzresult = ncctobyzresult;
	}
	public String getItfaddress() {
		return itfaddress;
	}
	public void setItfaddress(String itfaddress) {
		this.itfaddress = itfaddress;
	}
	public String getItfclass() {
		return itfclass;
	}
	public void setItfclass(String itfclass) {
		this.itfclass = itfclass;
	}
	
	@Override
	public String getPKFieldName() {
		return "pk_log";
	}

	@Override
	public String getTableName() {
		return "byz_itflog";
	}
}
